package function.builtin.special;

import function.FunctionNames;
import sexpression.Cons;
import table.SymbolTable;

@FunctionNames({ "LET*" })
public class LET_STAR extends LET {

    public LET_STAR(String name) {
        super(name);
    }

    @Override
    protected SymbolTable createLocalScope(Cons variableDefinitions) {
        SymbolTable localScope = new SymbolTable(executionContext.getScope());
        executionContext.setScope(localScope);
        addVariablesToScope(localScope, variableDefinitions);

        return localScope;
    }

}
